Package com.google.android.exoplayer2.metadata.scte35

## Class PrivateCommand

- java.lang.Object
- - com.google.android.exoplayer2.metadata.scte35.SpliceCommand
  - - com.google.android.exoplayer2.metadata.scte35.PrivateCommand

- All Implemented Interfaces:
    `Parcelable`, `Metadata.Entry`

      public final class PrivateCommand
      extends SpliceCommand

  Represents a private command as defined in SCTE35, Section 9.3.6.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `byte[]` | `commandBytes` | The private bytes as defined in SCTE35, Section 9.3.6.
    `static Parcelable.Creator<PrivateCommand>` | `CREATOR` |
    `long` | `identifier` | The identifier as defined in SCTE35, Section 9.3.6.
    `long` | `ptsAdjustment` | The `pts_adjustment` as defined in SCTE35, Section 9.2.

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `writeToParcel​(Parcel dest, int flags)` |

    - ### Methods inherited from class com.google.android.exoplayer2.metadata.scte35.SpliceCommand

      `describeContents, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.metadata.Metadata.Entry

      `getWrappedMetadataBytes, getWrappedMetadataFormat, populateMediaMetadata`

- - ### Field Detail

    - #### ptsAdjustment

          public final long ptsAdjustment

      The `pts_adjustment` as defined in SCTE35, Section 9.2.

    - #### identifier

          public final long identifier

      The identifier as defined in SCTE35, Section 9.3.6.

    - #### commandBytes

          public final byte[] commandBytes

      The private bytes as defined in SCTE35, Section 9.3.6.

    - #### CREATOR

          public static final Parcelable.Creator<PrivateCommand> CREATOR

  - ### Method Detail

    - #### writeToParcel

          public void writeToParcel​(Parcel dest,
                                    int flags)